//
//  ViewController.swift
//  SimpleLectureSite
//
//  Created by Park on 11/7/16.
//  Copyright © 2016 Park. All rights reserved.
//

import UIKit

class ViewController: UIViewController, UITableViewDelegate, UITableViewDataSource {

    @IBOutlet weak var lectureTableView: UITableView!
    
    var selectedURL: String = ""
    var sites : [LectureSite] = [LectureSite]()
    func loadData() -> [LectureSite] {
        sites.append(LectureSite(name: "2016 Computer Graphics",url: "http://dis.dankook.ac.kr/lectures/cg16/", imageName: "cg16"))
        sites.append(LectureSite(name: "2016 Java Programming I", url: "http://dis.dankook.ac.kr/lectures/java16/", imageName: "java16"))
        sites.append(LectureSite(name: "2016 Portable Multimedia Device", url: "http://dis.dankook.ac.kr/lectures/pmd16/", imageName: "pmd16"))
        sites.append(LectureSite(name: "2016 HCI Programming 2", url: "http://dis.dankook.ac.kr/lectures/hci16/", imageName: "hci16"))
        sites.append(LectureSite(name: "2016 Distributed Multimedia Service", url: "http://dis.dankook.ac.kr/lectures/dms16/", imageName: "dms16"))
        sites.append(LectureSite(name:"2016 Multimedia Engineering Design", url: "http://dis.dankook.ac.kr/lectures/med16/",
            imageName: "med16"))
        return sites
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        self.title = "Lectures"
        lectureTableView.delegate = self
        lectureTableView.dataSource = self
        loadData()
        lectureTableView.registerClass(UITableViewCell.self, forCellReuseIdentifier: "cell")
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    func tableView(tableView: UITableView, numberOfRowsInSection section: Int) -> Int
    {
        return sites.count
    }
    
    func tableView(tableView: UITableView, cellForRowAtIndexPath indexPath: NSIndexPath) -> UITableViewCell
    {
        
        let cell: UITableViewCell = lectureTableView.dequeueReusableCellWithIdentifier("cell") as UITableViewCell!
        let site = sites[indexPath.row] as LectureSite
        cell.textLabel?.text = site.name
        //cell.imageView?.image = site.image
        cell.accessoryType = UITableViewCellAccessoryType.DisclosureIndicator
        print(cell.textLabel?.text)
        return cell
    }
    
    func tableView(tableView: UITableView, didSelectRowAtIndexPath indexPath: NSIndexPath)
    {
        //let site = sites[indexPath.row] as LectureSite
        //selectedURL = site.url
        //self.performSegueWithIdentifier("ShowSimpleVCSegue", sender: self)
        
        tableView.deselectRowAtIndexPath(indexPath, animated: true)
        print("You selected cell #\(indexPath.row)")
        
        let site = sites[indexPath.row] as LectureSite
        let aViewController: SimpleViewController = storyboard?.instantiateViewControllerWithIdentifier("SimpleViewController") as! SimpleViewController
        aViewController.name = site.name
        aViewController.imageName = site.imageName
        aViewController.url = site.url
        navigationController?.pushViewController(aViewController, animated: true)
    }

}

